diff -rcN ecpg/ChangeLog ecpg.mm/ChangeLog
*** ecpg/ChangeLog	Mon Feb  1 07:11:58 1999
--- ecpg.mm/ChangeLog	Tue Feb  2 09:41:24 1999
***************
*** 395,397 ****
--- 395,402 ----
  	- Fixed bug that caused function names to be translated to lower case.
  	- Set ecpg version to 2.4.8
   
+ Tue Feb  2 07:40:52 CET 1999
+ 
+ 	- Brought preproc.y in sync again with gram.y.
+ 	- Set ecpg version to 2.4.9
+ 
diff -rcN ecpg/preproc/Makefile ecpg.mm/preproc/Makefile
*** ecpg/preproc/Makefile	Mon Feb  1 07:11:58 1999
--- ecpg.mm/preproc/Makefile	Tue Feb  2 09:40:44 1999
***************
*** 3,9 ****
  
  MAJOR_VERSION=2
  MINOR_VERSION=4
! PATCHLEVEL=8
  
  CFLAGS+=-I../include -DMAJOR_VERSION=$(MAJOR_VERSION) \
  	-DMINOR_VERSION=$(MINOR_VERSION) -DPATCHLEVEL=$(PATCHLEVEL) \
--- 3,9 ----
  
  MAJOR_VERSION=2
  MINOR_VERSION=4
! PATCHLEVEL=9
  
  CFLAGS+=-I../include -DMAJOR_VERSION=$(MAJOR_VERSION) \
  	-DMINOR_VERSION=$(MINOR_VERSION) -DPATCHLEVEL=$(PATCHLEVEL) \
diff -rcN ecpg/preproc/keywords.c ecpg.mm/preproc/keywords.c
*** ecpg/preproc/keywords.c	Tue Jan 19 07:21:04 1999
--- ecpg.mm/preproc/keywords.c	Tue Feb  2 09:40:31 1999
***************
*** 212,217 ****
--- 212,218 ----
  	{"stdout", STDOUT},
  	{"substring", SUBSTRING},
  	{"table", TABLE},
+ 	{"temp", TEMP},
  	{"then", THEN},
  	{"time", TIME},
  	{"timestamp", TIMESTAMP},
diff -rcN ecpg/preproc/preproc.y ecpg.mm/preproc/preproc.y
*** ecpg/preproc/preproc.y	Mon Feb  1 07:11:58 1999
--- ecpg.mm/preproc/preproc.y	Tue Feb  2 09:53:41 1999
***************
*** 554,560 ****
                  PARTIAL, POSITION, PRECISION, PRIMARY, PRIOR, PRIVILEGES, PROCEDURE, PUBLIC,
                  READ, REFERENCES, RELATIVE, REVOKE, RIGHT, ROLLBACK,
                  SCROLL, SECOND_P, SELECT, SET, SUBSTRING,
!                 TABLE, THEN, TIME, TIMESTAMP, TIMEZONE_HOUR, TIMEZONE_MINUTE,
  		TO, TRAILING, TRANSACTION, TRIM, TRUE_P,
                  UNION, UNIQUE, UPDATE, USER, USING,
                  VALUES, VARCHAR, VARYING, VIEW,
--- 554,560 ----
                  PARTIAL, POSITION, PRECISION, PRIMARY, PRIOR, PRIVILEGES, PROCEDURE, PUBLIC,
                  READ, REFERENCES, RELATIVE, REVOKE, RIGHT, ROLLBACK,
                  SCROLL, SECOND_P, SELECT, SET, SUBSTRING,
!                 TABLE, TEMP, THEN, TIME, TIMESTAMP, TIMEZONE_HOUR, TIMEZONE_MINUTE,
  		TO, TRAILING, TRANSACTION, TRIM, TRUE_P,
                  UNION, UNIQUE, UPDATE, USER, USING,
                  VALUES, VARCHAR, VARYING, VIEW,
***************
*** 637,643 ****
  %type  <str> 	opt_decimal Character character opt_varying opt_charset
  %type  <str>	opt_collate Datetime datetime opt_timezone opt_interval
  %type  <str>	numeric a_expr_or_null row_expr row_descriptor row_list
! %type  <str>	SelectStmt SubSelect result
  %type  <str>	opt_table opt_union opt_unique sort_clause sortby_list
  %type  <str>	sortby OptUseOp opt_inh_star relation_name_list name_list
  %type  <str>	group_clause having_clause from_clause c_list 
--- 637,643 ----
  %type  <str> 	opt_decimal Character character opt_varying opt_charset
  %type  <str>	opt_collate Datetime datetime opt_timezone opt_interval
  %type  <str>	numeric a_expr_or_null row_expr row_descriptor row_list
! %type  <str>	SelectStmt SubSelect result OptTemp
  %type  <str>	opt_table opt_union opt_unique sort_clause sortby_list
  %type  <str>	sortby OptUseOp opt_inh_star relation_name_list name_list
  %type  <str>	group_clause having_clause from_clause c_list 
***************
*** 1095,1107 ****
   *
   *****************************************************************************/
  
! CreateStmt:  CREATE TABLE relation_name '(' OptTableElementList ')'
  				OptInherit
  				{
! 					$$ = cat4_str(make1_str("create table"), $3,  make3_str(make1_str("("), $5, make1_str(")")), $7);
  				}
  		;
  
  OptTableElementList:  OptTableElementList ',' OptTableElement
  				{
  					$$ = cat3_str($1, make1_str(","), $3);
--- 1095,1111 ----
   *
   *****************************************************************************/
  
! CreateStmt:  CREATE OptTemp TABLE relation_name '(' OptTableElementList ')'
  				OptInherit
  				{
! 					$$ = cat5_str(make1_str("create"), $2, make1_str("table"), make3_str(make1_str("("), $6, make1_str(")")), $8);
  				}
  		;
  
+ OptTemp:	  TEMP		{ $$ = make1_str("temp"); }
+ 		| /* EMPTY */	{ $$ = make1_str(""); }
+ 		;
+ 
  OptTableElementList:  OptTableElementList ',' OptTableElement
  				{
  					$$ = cat3_str($1, make1_str(","), $3);
***************
*** 1461,1469 ****
  		| /*EMPTY*/ { $$ = make1_str(""); }
  		;
  
! CreateAsStmt:  CREATE TABLE relation_name OptCreateAs AS SubSelect
  		{
! 			$$ = cat5_str(make1_str("create table"), $3, $4, make1_str("as"), $6); 
  		}
  		;
  
--- 1465,1473 ----
  		| /*EMPTY*/ { $$ = make1_str(""); }
  		;
  
! CreateAsStmt:  CREATE OptTemp TABLE relation_name OptCreateAs AS SubSelect
  		{
! 			$$ = cat5_str(cat3_str(make1_str("create"), $2, make1_str("table")), $4, $5, make1_str("as"), $7); 
  		}
  		;
  
***************
*** 2691,2697 ****
  				}
  		;
  
! result:  INTO opt_table relation_name			{ $$= cat3_str(make1_str("into"), $2, $3); }
  		| INTO into_list			{ $$ = make1_str(""); }
  		| /*EMPTY*/				{ $$ = make1_str(""); }
  		;
--- 2695,2701 ----
  				}
  		;
  
! result:  INTO OptTemp opt_table relation_name		{ $$= cat4_str(make1_str("into"), $2, $3, $4); }
  		| INTO into_list			{ $$ = make1_str(""); }
  		| /*EMPTY*/				{ $$ = make1_str(""); }
  		;

